//--------------------------------------------------
//Headerfile: student.h
//Beschreibung: Studentendatenbank OOP
//Autor:  Tobias Schwalb, ITIV
//Erstellt: 20.06.2011
//Version: 1.2
//--------------------------------------------------

#include <string>
#include <iostream>
using namespace std;

#ifndef _STUDENT_
#define _STUDENT_


class Student {
  private: 
    string name;
    string vorname;
    int matrikelnr;
    double note;
    Student* next;

  public:
    Student();
    ~Student();

    inline const string& getName() { return name; }
    inline const string& getVorname() { return vorname; }
    inline int getMatrikelnr() { return matrikelnr; }
    inline double getNote() { return note; }
    inline Student* getNext() { return next; }

    inline void setNext( Student* nt )  { next = nt; } 
    void setData( string name, string vorname, int matrikelnr, double note );

    void displayData();	  
};

#endif